Package be.ehealth.technicalconnector.enumeration

# Enum Class CryptoType

java.lang.Object
java.lang.Enum<CryptoType>
be.ehealth.technicalconnector.enumeration.CryptoType

All Implemented Interfaces:
  `Serializable`, `Comparable<CryptoType>`, `java.lang.constant.Constable`

public enum CryptoType extends Enum<CryptoType>
Enumeration for the different cryptos that are available.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ENCRYPTION`
  `HOLDER_OF_KEY`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static CryptoType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static CryptoType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### HOLDER_OF_KEY

    public static final CryptoType HOLDER_OF_KEY

  - ### ENCRYPTION

    public static final CryptoType ENCRYPTION

- ## Method Details

  - ### values

    public static CryptoType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static CryptoType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null